Trusted by the world’s leading companies
概要
JavaScript Scheduler、またはイベントカレンダーは、ユーザーが時間を効率的に管理するのに役立つ、豊富な機能を備えたイベントカレンダーコンポーネントです。エディタポップアップ、ドラッグアンドドロップ、サイズ変更アクションを通じて、リソースのスケジュール設定やイベントまたは予定の再スケジュールを容易にします。
Syncfusion JavaScript Scheduler を選ぶ理由
高いパフォーマンス
Scheduler は、転送と読み込み時間を短縮するため、デフォルトでオンデマンドでデータを読み込みます。異なるフィールド名を持つデータソースにScheduler をバインドする際には、適切なフィールドマッピングが必須です。
シームレスなデータバインディング
データマネージャーの助けを借りて、JSON、OData、WCF、RESTful Web サービスなどのさまざまなローカルおよびリモートデータソースとデータをシームレスにバインドします。
組み込みビュー
日、週、稼働週、月、議題、月-議題、年、タイムラインなど、いくつかの異なる組み込みビューモードが利用可能です。さまざまなビュー固有の変数を使用して、各ビューをカスタマイズできます。
繰り返しイベント
統合された繰り返しオプションを使用して、繰り返しイベントを日次、週次、月次、年次で簡単に繰り返すように設定できます。
複数のリソースとグループ化
複数の要因に応じてリソースをグループ化するために、Scheduler は幅広い柔軟なオプションを提供します。また、リソースと日付によるスケジュールタイムラインと予定のグループ化もカバーしています。
あらゆる解像度に対応
Scheduler は高い応答性を持つレイアウトと、デスクトップ、タッチスクリーン、スマートフォン向けに最適化されたデザインを備えています。iOS、Android、またはWindows OSを使用するすべての携帯電話でうまく機能します。
魅力的なカスタマイズ可能なテーマ
Fluent、Tailwind CSS、Bootstrap、Material、Fabric など、5つ以上の組み込みテーマを備えた最先端のデザイン。Scheduler のテーマを簡単にカスタマイズするには、オンラインの Theme Studio ツールを利用してください。
グローバリゼーションとローカリゼーション
異なるロケールのユーザーが日付、通貨、数値のフォーマットを好みに合わせて調整できるようにすることで、Scheduler を使用できます。
AI搭載 Schedulerによる効率的な時間管理
AI Schedulerを使って生産性を向上させましょう。”毎週金曜日の午前10時にチームミーティングをスケジュール”のようなコマンドを入力するだけで、最適な時間を提案し、重複を避け、カレンダーを視覚的に整理します。
JavaScript Scheduler のコード例
以下の HTML と TSX コードの数行で、JavaScript Scheduler を簡単に使い始めることができます。また、Scheduler をJavaScriptでレンダリングおよび構成する方法を示すJavaScript Scheduler の例も参照してください。
<html>
<head>
<link href=https://cdn.syncfusion.com/ej2/material.css rel="stylesheet">
</head>
<body>
<div class="control-section">
<div id="Schedule"></div>
</div>
</body>
</html>import { Schedule, Day, Week, WorkWeek, Month, Agenda } from '@syncfusion/ej2-schedule';
Schedule.Inject(Day, Week, WorkWeek, Month, Agenda);
let data: Object[] = [
{
Id: 1,
Subject: 'Scrum Meeting',
Location: 'Office',
StartTime: new Date(2022, 1, 12, 9, 30),
EndTime: new Date(2023, 1, 12, 10, 30),
RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
}
];
let scheduleObj: Schedule = new Schedule({
selectedDate: new Date(2022, 1, 20),
eventSettings: { dataSource: data }
});
scheduleObj.appendTo('#Schedule');複数のScheduler ビュー
日、週、稼働週、月、議題、月-議題、年、タイムラインなど、さまざまな組み込みビューモードが利用可能です。さまざまなビュー固有のオプションを使用して、各個別ビューを簡単に構成できます。

月次議題ビュー
カレンダーレイアウトと現在選択されている日付のイベントを表示します。日付の下にある丸いインジケータは、その日に1つ以上のイベントが存在することを示します。

年次ビュー
年次ビューは、特定の年のすべての月をカレンダービュー形式で表示します。そのカレンダービューでは、イベントや予定を含む日付には、個々の日付の下に配置されたドットで強調表示されます。日付をクリックすると、イベントポップアップが表示され、イベントがリストされます。
タイムラインビュー
JavaScript は、タイムライン日、タイムライン週、タイムライン稼働週、タイムライン月、タイムライン年の5つの組み込みタイムラインビューを提供します。各ビューは、単一の日または複数日の水平時間軸全体にイベントを正確に表示します。
パフォーマンスを向上させるために、タイムラインビューは、すべてのスクロールアクションでリソース、イベント、および予定を仮想的に読み込みます。


ユニークなビュー構成
さまざまなカレンダー設定で各個別ビューモードを簡単に構成できます。たとえば、月次ビューでグループ化機能を有効にし、週次ビューでイベントテンプレートを適用できます。
インライン予定
この機能が有効な場合、ユーザーはScheduler のセルまたは既存の予定の件名をシングルクリックすることで、インラインで予定を作成および編集できます。インラインテキストボックスに新しい件名を入力した後、Enterキーを押すと、予定が適切に更新および保存されます。

高高度なイベント処理オプション
JavaScript イベントカレンダーは、割り当てられた時間に基づいて、Scheduler のタイムライン全体にわたるイベントと予定の明確で鮮やかで正確な表現を提供します。

追加および編集機能
デフォルトのイベントエディタを使用するか、直感的なドラッグアンドサイズ変更アクションを通じて、予定の作成と編集を容易にするなど、イベント処理を改善するための組み込みのサポートがあります。さらに、イベントとリソースデータソースの両方にカスタムデータフィールドを追加することもできます。

複数イベント選択
Ctrlキーを押しながらイベントをクリックすることで、一度に複数のイベントを簡単に選択できます。モバイルデバイスでは、イベントをタップして押し続けることで同じ操作を行い、単一タップで他のイベントを選択し続けることができます。イベントを正常に選択した後、それらを同時に削除または再配置できます。

ツールチップ
L’infobulle personnalisable affiche les informations de l’événement lorsque le pointeur de la souris survole l’événement. Faites de même sur les appareils mobiles en appuyant et en maintenant un événement.

外観のカスタマイズ
Modifiez l’apparence des événements et des rendez-vous du Scheduler JavaScript en personnalisant leur apparence et leur style par défaut à l’aide de n’importe quel HTML ou CSS.

Fuseau horaire
Indépendamment du fuseau horaire du système, le Calendrier d’événements JavaScript prend en support la définition du fuseau horaire requis pour le contrôle lui-même, ainsi que pour les événements.

クリップボード
JavaScript Scheduler はクリップボード機能をサポートしており、ユーザーはイベントを効率的に管理できます。ユーザーは Ctrl+C ショートカットを使用して選択したイベントをコピーし、Ctrl+X でイベントをカットし、Ctrl+V で異なるタイムスロットにイベントを貼り付けることができます。

Lignes adaptatives
Une option intégrée a été ajoutée au Calendrier d’événements JavaScript pour augmenter automatiquement la hauteur des lignes dans les vues mensuelles et chronologiques lorsque de nouveaux événements ou rendez-vous simultanés sont ajoutés.
Menu contextuel
Le menu contextuel intégré au Scheduler JavaScript s’ouvre lorsqu’une cellule ou un rendez-vous is cliqué avec le bouton droit de la souris.

Synchronisation de données en temps réel
Les données de rendez-vous en temps réel se synchronisent précisément avec notre Scheduler JavaScript.

Outlook および Google カレンダー統合
Google Calendar API または Microsoft Outlook のオブジェクトライブラリを介して、JavaScript イベントカレンダーと Google または Outlook カレンダーの間でイベントを簡単に同期します。

リアルタイム更新
双方向データ通信により、Scheduler で行われたサーバー側の予定更新が、SignalR を介して接続されているすべてのクライアントに伝達されます。
Options de calendrier riches en fonctionnalités
Le Calendrier d’événements JavaScript hérite de presque toutes les fonctionnalités spécifiques au calendrier, telles que le premier jour de la semaine et l’échelle de temps.

Premier jour de la semaine
Personnalisez le premier jour de la semaine, qui par défaut est le dimanche, selon les paramètres régionaux. Vous pouvez également utiliser cette option pour des vues individuelles.

Heures de début et de fin personnalisées
Affichez la mise en page du Scheduler d’événements avec des durées spécifiques en masquant les heures indésirables.

Échelle de temps flexible
Utilisez des options d’échelle de temps personnalisables pour afficher clairement une chronologie des événements et définir une durée différente.

Temps de travail
Les cellules actives du Scheduler (affichées en blanc) représentent visuellement les jours de travail et les heures de travail.

Masquage des jours de week-end
Le masquage des jours de week-end du Scheduler vous permet d’afficher uniquement les jours ouvrables dans toutes les vues.

Affichage du numéro de semaine
Affichez le numéro de semaine de la plage de dates actuelle à côté de l’en-tête de date dans les vues jour, semaine et semaine de travail. Affichez également le numéro de semaine dans la vue mensuelle comme première colonne. Le numéro de semaine is déterminé par le premier jour de the semaine et les règles (premier jour ou première semaine complète, ou première semaine de quatre jours).

Mode horaire
Le contrôle du Scheduler prend en support les formats d’heure de 12 heures et de 24 heures.
Interface utilisateur entièrement personnalisable
Personnalisez l’apparence de n’importe quelle partie de l’interface du Scheduler à l’aide de styles HTML et CSS.

En-tête de date
Modifiez l’apparence par défaut de la barre d’en-tête en ajoutant n’importe quel type de CSS, de texte personnalisé ou d’image.

Interface utilisateur complète du Scheduler
Un événement côté client intégré permet aux utilisateurs finaux de personnaliser n’importe quelle partie de l’interface utilisateur du Scheduler .

Barre d’en-tête
Ajoutez des éléments personnalisés aux options de barre d’en-tête par défaut. Vous pouvez masquer ou afficher les options de barre d’en-tête communes.

Cellules du Scheduler
Les options de modèle prêtes à l’emploi vous permettent de personnaliser facilement les cellules en ajoutant n’importe quel type de texte, d’image ou de CSS.

Pop-ups rapides
Personnalisez facilement les pop-ups qui s’ouvrent en un seul clic sur les cellules, les événements ou les rendez-vous avec votre propre interface utilisateur ou conception de modèle.

Ouvrir l’éditeur d’événements en externe
Le Calendrier d’événements JavaScript offre une méthode intégrée pour ouvrir la fenêtre de l’éditeur d’événements par défaut par programmation.
Interactions conviviales
La conception UI moderne et tendance du Scheduler JavaScript rend les interactions utilisateur plus simples et plus efficaces.

Aperçu rapide de l’événement
Un clic ou un toucher sur les événements affiche leurs détails importants, tels que le sujet et l’heure, ainsi que les options de modification et de suppression.

Sélection de cellules
Cliquez et faites glisser le pointeur sur les cellules du Scheduler pour une sélection multiple de cellules. Vous pouvez faire de même avec les raccourcis clavier.

Conteneur d’événements
Un clic sur l’indicateur de texte (+n more) dans les vues mensuelles et chronologiques ouvrira un conteneur d’événements listant tous les détails d’événements et de rendez-vous masqués d’une journée.

Navigation rapide
Le Scheduler JavaScript offre un moyen intuitif de naviguer d’avant en arrière entre les plages de dates à l’aide d’un calendrier intégré, et également de naviguer entre différents modes de vue.

Applications en temps réel
De nombreuses applications en temps réel utilisent des Scheduler s comme partie intégrante, servant ainsi à des fins différentes en fonction du type de projet. Certaines des applications actives sont : Calendrier des tarifs, Calendrier des salles de réunion, Scheduler de rendez-vous chez le médecin et Réservation de chambres d’hôtel.
Fonctionnalités interactives
Le Scheduler JavaScript permet aux utilisateurs d’exporter ses événements de deux manières : sous forme de fichier Excel ou de fichier ICS.

Exporter vers Excel
Le Scheduler JavaScript vous permet d’exporter tous ses événements vers un document Excel par défaut. Il offre également des options de personnalisation supplémentaires pour exporter des collections de données d’événements personnalisées.

Exporter et importer des ICS
Le Calendrier d’événements JavaScript prend en support l’exportation de toutes ses données d’événements au format iCal, et il prend en support l’importation d’événements à partir d’un fichier iCal dans le Scheduler .

API conviviales pour les développeurs
Les développeurs peuvent avoir un contrôle total sur l’interface utilisateur et le comportement du calendrier d’événements grâce à ses API intégrées et conviviales. Il vous permet de personnaliser même les fonctionnalités complexes du Scheduler avec facilité.
Accessibilité
Le composant Scheduler JavaScript is facilement accessible par les lecteurs d’écran. Un support complet d’interaction au clavier a également été fourni.

Complètement accessible
Le composant Scheduler JavaScript a un support complet d’accessibilité WAI-ARIA. L’interface utilisateur du Scheduler comprend des éléments visuels à contraste utile, offrant aux personnes malvoyantes the meilleure expérience de visualisation. De plus, des descriptions d’interface utilisateur valides sont facilement accessibles grâce aux technologies d’assistance telles que les lecteurs d’écran.

Interactif au clavier
Divers raccourcis clavier sont disponibles pour effectuer presque toutes les actions du Scheduler , telles que la sélection multiple de cellules ou d’événements et la navigation vers d’autres vues.

De droite à gauche (RTL)
Affichez the Scheduler d’événements en respectant les conventions de droite à gauche.
Autres frameworks supportés
Le Scheduler est disponible dans les frameworks Blazor, React, Angular et Vue. Explorez ses options spécifiques à la plateforme via les liens suivants :
Navigateurs supportés
Le Scheduler JavaScript fonctionne bien avec tous les navigateurs web modernes, y compris Chrome, Firefox, Edge, Safari et Opera.

Vous ne savez pas comment créer votre premier Scheduler JavaScript ? Notre documentation peut vous aider.
今すぐ読むよくある質問
Pourquoi devriez-vous choisir le Scheduler JavaScript de Syncfusion ?
豊富な機能を備えたJavaScript Scheduler は、以下を提供します。
- デスクトップ、タブレット、モバイル向けに最適化された、高い応答性を持つレイアウトと洗練されたデザイン。
日、週、稼働週、月など、さまざまな基本ビューと、カレンダーモードの年次ビュー、タイムラインモード.
仮想スクロールにより、大量のリソースとイベントを動的に読み込むことができます。
- S’adapte instantanément à différents fuseaux horaires.
タイムライン, 水平, 階層, 日付ビューに基づく複数のリソースグループ化.
- Synchronisation facile des événements avec les calendriers Google et Outlook.
- L’un des meilleurs Scheduler s JavaScript du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.
簡単な構成とAPI.
- Prise en charge de tous les navigateurs modernes.
Syncfusion JavaScript Scheduler の価格は?
JavaScript Scheduler は個別に販売していません。Syncfusion チームライセンスの一部としてのみ購入できます。これには、JavaScript Scheduler を含む 1,600以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は、開発者5人に対して月額395ドルから始まり、サブスクリプションの有効期限までサポートとアップデートが含まれます。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。追加の割引が適用されるかどうかについては、今すぐ製品スペシャリスト今日利用可能かどうかについてご確認してください。
Où puis-je trouver la démo du Scheduler JavaScript de Syncfusion ?
Vous pouvez trouver notre démo du Scheduler JavaScriptをご覧いただけます。
Puis-je acheter le composant Scheduler JavaScript de Syncfusion séparément ?
いいえ、弊社の 1,600以上のWeb、モバイル、およびデスクトップ用のコンポーモントとフレームワーク(JavaScript Scheduler を含む)は、個別に販売されていません。チームライセンスの一部としてのみ利用可能です。ただし、弊社は競合他社がScheduler コントロールのみで請求する金額よりわずかに高いだけで、競争力のある価格を設定しています。また、弊社の経験から、お客様は通常、弊社の製品のいずれか1つを使用し始め、すぐに複数の製品に拡張するため、開発者5人のチームに対して月額395ドルから始まるサブスクリプション料金ですべての 1,600以上のコンポーネントとフレームワークを提供するのが最善であると感じました。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。追加の割引が適用されるかどうかについては、今すぐ製品スペシャリストにお問い合わせください。
Puis-je télécharger et utiliser gratuitement le Scheduler JavaScript de Syncfusion ?
いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間売上総収入が100万米ドル未満で、開発者が5人以下の企業や個人向けに無料のコミュニティライセンスも利用可能です。
Comment démarrer avec le Scheduler JavaScript de Syncfusion ?
キーボーインはじめにドキュメントから始めるのが良いでしょう。
お客様は私たちを愛しています
Syncfusion JavaScript Scheduler リソース
受賞歴
偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。
JavaScript Scheduler のブログの最近のアクティビティ
JavaScript Scheduler のブログ投稿は、JavaScript コントロールで最初のアプリを構築するのに役立ちます。これらは問題解決戦略を提供し、機能と機能性を説明し、新機能のリリースを発表し、ベストプラクティスを説明し、例のシナリオを紹介します。JavaScript Scheduler の更新については、ブログチャンネルの最新の投稿をご覧ください。







Trusted by the world’s leading companies

Syncfusion Trusted Companies

概要

Angular Scheduler (または Angular イベントカレンダー) は、ユーザーが時間を効率的に管理するのに役立つ、豊富な機能を備えたイベントカレンダーコンポーネントです。エディターのポップアップ、ドラッグ&ドロップ、リサイズ操作を通じて、リソースのスケジュール設定やイベントや予定の再スケジュールを容易にします。


Syncfusion Essential Studio® Angular Scheduler を選ぶ理由

Angular Scheduler High Performance image

高いパフォーマンス

Angular Scheduler は、データ転送と読み込み時間を削減するために、デフォルトで オンデマンドでデータをロード します。Schedulerを異なるフィールド名を持つデータソースにバインドする場合、適切なフィールドマッピングが必須です。

Angular Scheduler Effective Data Binding image

シームレスなデータバインディング

データマネージャーの助けを借りて、JSON、OData、WCF、RESTful Webサービスなど、さまざまなローカルおよびリモートデータソースとシームレスにデータをバインドします。

Angular Scheduler Multiple Views image

組み込みビュー

日、週、稼働週、月、議題、月-議題、年、タイムラインなど、いくつかの異なる組み込みビューモードがあります。様々なビュー固有の変数を使用して、各ビューをカスタマイズできます。

Angular Scheduler Recurring Events image

定期的なイベント

統合された繰り返しオプションを使用して、毎日、毎週、毎月、または毎年繰り返すイベントを簡単に設定できます。

Angular Scheduler Multiple Resource image

複数のリソースとグループ化

Angular Scheduler は、複数の要素に従ってリソースをグループ化するための幅広い柔軟なオプションを提供します。また、スケジューリングのタイムラインや、リソースと日付による予定のグループ化もカバーしています。

Angular Scheduler Adaptive Ui Support image

あらゆる解像度に対応

Scheduler は高いレスポンシブなレイアウトと、デスクトップ、タッチスクリーン、スマートフォン向けに最適化されたデザインを備えています。iOS、Android、またはWindows OSを使用するすべての携帯電話でうまく機能します。

Angular Scheduler Attractive Theme Support image

魅力的なカスタマイズ可能なテーマ

Fluent、Tailwind CSS、Bootstrap、Material、Fabricなど、5つ以上の組み込みテーマを備えた最先端のデザイン。Scheduler のテーマを簡単にカスタマイズするには、オンラインのTheme Studioツールを活用してください。

Angular Scheduler Globalization Support image

グローバリゼーションとローカライゼーション

日付、通貨、番号付けをユーザーの好みに合わせてフォーマットすることで、異なるロケールからのユーザーがSchedulerを使用できるようにします。


AI駆動Schedulerによるスマートなプランニング

当社のAI駆動Schedulerで、よりスマートなスケジューリングを体験してください。
「毎週金曜日の10時にチームミーティング」と入力するだけで、イベントを自動的に整理し、競合を解消し、ワークフローに適応します。カレンダーは単に時間を記録するだけでなく、最大限に活用するのに役立ちます。

AI Schedulerのライブデモを見る

AI搭載Angular Schedulerコンポーネント。


Angular Scheduler コード例

次のように、数行のシンプルなHTMLとTSコードでAngular Schedulerを簡単に使い始めることができます。また、Angular で Scheduler をレンダリングおよび設定する方法を示すAngular Scheduler の例もをご覧ください。

<ejs-schedule [selectedDate]="selectedDate" [eventSettings]="eventSettings">
</ejs-schedule>
//app.component.ts
import { Component } from '@angular/core';
import { EventSettingsModel, DayService, WeekService, WorkWeekService, MonthService, AgendaService } from '@syncfusion/ej2-angular-schedule';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [DayService, WeekService, WorkWeekService, MonthService, AgendaService]
})

export class AppComponent {
  public selectedDate: Date = new Date(2022, 1, 20);
  private data: Object[] = [
    {
      Id: 1,
      Subject: 'Scrum Meeting',
      Location: 'Office',
      StartTime: new Date(2022, 1, 12, 9, 30),
      EndTime: new Date(2023, 1, 12, 10, 30),
      RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
    },
  ];

  public eventSettings: EventSettingsModel = { dataSource: this.data };
}

//app.module.ts
import { ScheduleModule } from '@syncfusion/ej2-angular-schedule';

import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from '../app.component';

@NgModule({
  declarations: [AppComponent],
  imports: [CommonModule, ScheduleModule, BrowserModule],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}

複数のスケジューラビュー

日、週、稼働週、月、議題、月-議題、年、タイムラインなど、各種の組み込みビューモードが利用可能です。異なるビュー固有のオプションで、個々のビューを簡単に構成できます。

Day View in Angular Scheduler component.

日、週、稼働週ビュー

単一の日または複数日にわたる予定を表示します。

Month View in Angular Scheduler component.

月ビュー

1日または複数日のイベントや予定を丸1ヶ月表示します。

Agenda view in Angular Scheduler component.

議題ビュー

イベントを仮想的に読み込み、日付ごとにグループ化されたリストとして順番に表示します。議題ビューで最初に読み込む日数を指定するオプションが存在します。

Month agenda view in Angular Scheduler component.

月議題ビュー

カレンダーレイアウトと現在選択されている日付のイベントを表示します。日付の下にある丸いインジケータは、その日に1つ以上のイベントが存在することを示します。

Year view in Angular Scheduler component.

年ビュー

年ビューは、特定の年のすべての月をカレンダービュー形式で表示します。そのカレンダービューでは、イベントや予定が含まれる日付が、個々の日付の下に配置された点で強調表示されます。日付をクリックすると、イベントのポップアップが表示され、イベントがリストされます。


タイムラインビュー

Angular は、タイムライン日、タイムライン週、タイムライン稼働週、タイムライン月、タイムライン年の5つの組み込みタイムラインビューを提供します。各ビューは、単一の日または複数日にわたって水平タイム軸上にイベントを正確に表示します。

パフォーマンスを向上させるため、タイムラインビューはスクロールアクションごとにリソース、イベント、予定を仮想的にロードします。

Timeline view in Angular Scheduler component.


Unique view in Angular Scheduler component.

独自のビュー設定

様々なカレンダー設定で、各個別のビューモードを簡単に設定できます。例えば、月ビューでグループ化機能を有効にし、週ビューでイベントテンプレートを適用することができます。


拡張可能なビュー間隔

提供された間隔数に基づいて各ビューモードを拡張することで、複数の日、週、月を表示します。

Extensible view intervals in Angular Scheduler component.


Block time intervals in Angular Scheduler component.

時間間隔をブロック

Angular Event Calendar の特定の時間範囲をブロックして、そのタイムスロットでのイベントや予定の作成を防ぐことができます。


インライン予定

この機能を有効にすると、ユーザーはスケジューラセルまたは既存の予定の件名をシングルクリックでインラインで予定を作成および編集できます。新しい件名テキストをインラインテキストボックスに入力した後Enter キーを押すと、予定が適切に更新および保存されます。

Inline appointment in Angular Scheduler component.


高度なイベント処理オプション

Angular Event Calendar は、割り当てられた時間に基づいて、Scheduler タイムライン上でイベントや予定を明確、鮮明、正確に表現します。

Illustration of add and edit capabilities of Angular Scheduler.

追加と編集の機能

デフォルトのイベントエディタを使用したり、直感的なドラッグ&リサイズ操作を通じて、予定をより簡単に作成および編集する組み込みサポートが備わっています。さらに、イベントとリソースデータソースの両方にカスタムデータフィールドを追加することもできます。

Illustration of multiple event selection in Angular Scheduler.

複数イベント選択

イベントをクリックしながらCtrlキーを押し続けることで、複数のイベントを一度に簡単に選択できます。モバイルデバイスでは、イベントをタップして押し続け、他のイベントをシングルタップすることで同様の操作が可能です。イベントが正常に選択された後、それらを同時に削除または再配置できます。

Illustration of event tooltips of Angular Scheduler.

ツールチップ

カスタマイズ可能なツールチップは、マウスカーソルがイベントの上に置かれている間、イベント情報を表示します。モバイルデバイスでは、イベントをタップして押し続けることで同様の操作が可能です。

Illustration of event customization with Angular Scheduler.

外観のカスタマイズ

Angular Scheduler のイベントや予定の外観とスタイルを、HTMLやCSSを使用してカスタマイズすることで、デフォルトの外観を変更できます。

Illustration of time zone support of Angular Scheduler.

タイムゾーン

システムタイムゾーンに関わらず、Angular Event Calendar はコントロール自体およびイベントに必要なタイムゾーンを設定することをサポートしています。

Illustration of clipboard support of Angular Scheduler.

クリップボード

Angular Scheduler はクリップボード機能をサポートしており、ユーザーはイベントを効率的に管理できます。ユーザーはCtrl+Cショートカットを使用して選択したイベントをコピーし、Ctrl+Xでイベントをカットし、Ctrl+Vを使用して異なるタイムスロットにイベントを貼り付けることができます。


Row auto height in Angular Scheduler component.

行の自動調整

Angular Event Calendar には、新しい同時イベントや予定が追加されたときに、月ビューおよびタイムラインビューの行の高さを自動的に増やす組み込みオプションが追加されました。


コンテキストメニュー

Angular Scheduler と統合されたコンテキストメニューは、セルまたは予定を右クリックすると開きます。

Context menu in Angular Scheduler component.


リアルタイムデータ同期

リアルタイムの予定データは、Angular Scheduler と正確に同期します。

Illustration of Google Calendar integration with Angular Scheduler.

Outlook および Google カレンダー連携

Google Calendar API または Microsoft Outlook のオブジェクトライブラリを介して、Angular Event Calendar と Google または Outlook Calendar 間でイベントを簡単に同期できます。

Illustration of real-time updates in Angular Scheduler.

リアルタイム更新

双方向データ通信により、Scheduler で行われたサーバー側の予定更新がSignalRを介して接続されているすべてのクライアントに伝達されます。


豊富なカレンダーオプション

Angular Event Calendar は、週の最初の曜日やタイムスケールなど、カレンダーに特化したほぼすべての機能を継承しています。

Illustration of first day of the week in Angular Scheduler.

週の最初の曜日

週の最初の曜日をカスタマイズできます。デフォルトでは日曜日ですが、個別のビューでもこのオプションを利用できます。

Illustration of setting start and end hours on Angular Scheduler.

開始時刻と終了時刻のカスタム設定

不要な時間を隠すことで、特定の期間を持つイベントスケジューラのレイアウトを表示します。

Illustration of timescale options in Angular Scheduler.

柔軟なタイムスケール

カスタマイズ可能なタイムスケールオプションを使用して、イベントのタイムラインを明確に表示し、異なる期間を設定できます。

Illustration of working time in Angular Scheduler.

労働時間

スケジューラの稼働セル(白色で表示)は、稼働日と稼働時間を視覚的に表します。

Illustration of current time highlighting in Angular Scheduler.

現在時刻のハイライト表示

ハイライトされた日付ヘッダーで現在の日付を示します。すべてのビューで現在時刻を正確にマークします。

Illustration of hiding weekend days in Angular Scheduler.

週末の非表示

Scheduler から週末を非表示にすることで、すべてのビューで稼働日のみを表示できます。

Illustration of displaying week numbers in Angular Scheduler.

週番号表示

日、週、稼働週ビューでは、現在の日付範囲の週番号を日付ヘッダーの横に表示します。また、月ビューでは週番号を最初の列に表示します。週番号は、週の最初の曜日と週ルール (最初の日、最初の完全な週、または最初の4日間の週) によって決定されます。

Illustration of displaying time format in Angular Scheduler.

時刻モード

Scheduler コントロールは、12時間形式と24時間形式の両方をサポートしています。


完全にカスタマイズ可能なUI

HTMLとCSSスタイルを使用して、Scheduler インターフェースのあらゆる部分の外観をカスタマイズできます。

Illustration of date header customization in Angular Scheduler.

日付ヘッダー

CSS、カスタムテキスト、または画像を追加して、ヘッダーバーのデフォルトの外観を変更します。

Illustration of complete Angular Scheduler customization.

完全なスケジューラUI

組み込みのクライアント側イベントにより、エンドユーザーは Scheduler のユーザーインターフェースのあらゆる部分をカスタマイズできます。

Illustration of common header bar in Angular Scheduler.

ヘッダーバー

デフォルトのヘッダーバーオプションにカスタムアイテムを追加します。共通のヘッダーバーオプションを非表示または表示できます。

Illustration of cell customization with Angular Scheduler.

スケジューラセル

既成のテンプレートオプションにより、あらゆる種類のテキスト、画像、またはCSSを追加してセルを簡単にカスタマイズできます。

Illustration of quick pop-ups in Angular Scheduler.

クイックポップアップ

セル、イベント、または予定をシングルクリックしたときに開くポップアップを、独自のUIまたはテンプレートデザインで簡単にカスタマイズできます。

Illustration of event editor in Angular Scheduler.

イベントエディターを外部で開く

Angular Event Calendar は、デフォルトのイベントエディターウィンドウをプログラムで開くための組み込みメソッドを提供します。


ユーザーフレンドリーなインタラクション

Angular Scheduler のモダンでトレンディな UI デザインは、ユーザーインタラクションをよりシンプルかつ効率的にします。

Pop-up displaying event information.

クイックイベント概要

イベントをクリックまたはタップすると、件名や時刻などの重要な詳細と、編集および削除オプションが表示されます。

Angular Scheduler cell selection.

セル選択

ポインタを Scheduler セル上でクリック&ドラッグすると、複数セルを選択できます。キーボードショートカットでも同様の操作が可能です。

Event container in Angular Scheduler.

イベントコンテナ

月ビューとタイムラインビューでテキストインジケーター(+n件など)をクリックすると、その日の非表示イベントと予定の詳細すべてをリストアップするイベントコンテナが開きます。

Navigation options in Angular Scheduler.

クイックナビゲーション

Angular Schedulerは、インラインカレンダーを使用して日付範囲間を前後に移動する直感的な方法と、異なるビューモード間を移動する直感的な方法を提供します。


Angular event calendar used in real-time applications.

リアルタイムアプリケーション

多くのリアルタイムアプリケーションでは、スケジューラが不可欠な部分として使用されており、プロジェクトの種類に応じて異なる目的を果たします。アクティブなアプリケーションの例としては、運賃カレンダー、会議室カレンダー、医師の予約プランナー、ホテル客室予約などがあります。


対話型機能

Angular Scheduler を使用すると、イベントを Excel ファイルまたは ICS ファイルとして2つの方法でエクスポートできます。

Illustration of Excel export support in Angular Scheduler.

Excelへのエクスポート

Angular Scheduler は、すべてのイベントをデフォルトで Excel ドキュメントにエクスポートできます。また、カスタムイベントデータコレクションをエクスポートするための追加のカスタマイズオプションも提供します。

Illustration of export and import ICS files in Angular Event Calendar.

ICSのエクスポートとインポート

Angular Event Calendar は、すべてのイベントデータを iCal 形式にエクスポートすることをサポートしており、iCal ファイルからイベントを Scheduler にインポートすることもサポートしています。

Angular Scheduler developer-friendly APIs.

開発者向けのAPI

開発者は、組み込みの、開発者向けのAPIを通じて、イベントカレンダーのUIと動作を完全に制御できます。これにより、複雑なScheduler機能も簡単にカスタマイズできます。


アクセシビリティ

Angular Scheduler コンポーネントは、スクリーンリーダーで簡単にアクセスできます。完全なキーボード操作サポートも提供されています。

Accessibility enabled Angular Scheduler.

完全にアクセシブル

Angular Scheduler コンポーネントは、WAI-ARIAアクセシビリティを完全にサポートしています。Scheduler UI には高コントラストの視覚要素が含まれており、視覚障害者にとって最高の表示体験を提供します。また、適切なUI記述は、スクリーンリーダーなどの補助技術を通じて簡単にアクセスできます。

Keyboard interactive Angular event calendar.

キーボード操作可能

複数セルやイベントの選択、他のビューへの移動など、Scheduler のほとんどすべてのアクションを実行するための様々なキーボードショートカットが利用可能です。

Right to left support in Angular Scheduler.

右から左 (RTL)

イベントスケジューラを適切な右から左への表記に従ってレンダリングします。


Angular バージョンの互換性

Angular バージョンの継続的な改善に伴い、Angular Scheduler はバージョン4から最新バージョンまで互換性を持つよう常に最新の状態に保たれています。

Scheduler Angular version compatibility.





その他のサポート対象フレームワーク

Scheduler は、Blazor、React、JavaScript、および Vue フレームワークで利用できます。以下のリンクから、プラットフォーム固有のオプションをご覧ください。

サポートされているブラウザ

Angular Scheduler は、Chrome、Firefox、Edge、Safari、Operaを含むすべての最新のWebブラウザでうまく機能します。

Supported browsers in Angular Scheduler.

よくある質問

  • デスクトップ、タブレット、携帯電話向けに、非常にレスポンシブなレイアウトと最適化されたデザイン。
  • 日、週、稼働週、月といった様々な基本ビューや、カレンダーモードの年ビュータイムラインモードも。

  • 仮想スクロールにより、大量のリソースとイベントを動的に読み込み可能。

  • 異なるタイムゾーンに瞬時に対応。
  • タイムライン水平階層日付ビューに基づいた複数リソースのグループ化

  • ソフトウェアとの対話に豊富なUIを提供する、市場で最高のAngular Schedulerの1つ。
  • GoogleおよびOutlookカレンダーとのイベントの簡単な同期。
  • 簡単な設定とAPI

  • すべてのモダンブラウザに対応。
  • Angular Schedulerを迅速に学習し、使い始めるためのデモドキュメントビデオなどの豊富な学習リソース。

Angular Scheduler を単独で販売することはありません。それはSyncfusion チームライセンスの一部としてのみ購入可能です。これにはAngular Schedulerを含む 1,600 個以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は、開発者5人の場合、月額395ドルから始まり、サブスクリプションの有効期限までサポートとアップデートが含まれます。さらに、現在実施中のプロモーションによっては割引を提供できる場合があります。追加の割引が適用されるかどうかは、今日弊社の製品スペシャリストにお問い合わせください。

Scheduler のレンダリングと設定方法を示すAngular Scheduler のデモをご覧ください。

いいえ、弊社の 1,600+ 個のWeb、モバイル、デスクトップ用コンポーネントおよびフレームワーク(Angular Schedulerを含む)は、個別に販売しておりません。これらはチームライセンスの一部としてのみご利用いただけます。ただし、競合他社がSchedulerコンポーネント単体で請求するよりもわずかに高い価格で製品を設定しているため、お客様にとって費用対効果が高くなっています。また、経験上、お客様は通常、弊社の製品の1つを使い始め、すぐに複数の製品に拡大する傾向があるため、開発者5人のチーム向けには、月額395ドルから始まるサブスクリプション料金で、1,600+ 個すべてのコンポーネントとフレームワークを提供するのが最善であると考えました。さらに、現在実施中のプロモーションによっては、割引を提供できる場合があります。追加の割引が適用されるかどうかは、今日弊社の製品スペシャリストにお問い合わせください。

いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間売上高が100万米ドル未満で、開発者が5人以下の企業や個人向けには、無料のコミュニティライセンスも利用可能です。

包括的なスタートガイドのドキュメントから始めるのが良いでしょう。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

無料評価バージョンをダウンロードしてアプリケーションを変革しましょう
無料トライアルのダウンロード クレジットカード不要。

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

Up arrow icon
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

React Scheduler、またはイベントカレンダーは、ユーザーが時間を効率的に管理するのに役立つフル機能のイベントカレンダーコンポーネントです。エディターのポップアップ、ドラッグアンドドロップ、サイズ変更アクションを通じて、リソースのスケジュール設定やイベントや予約の再スケジュールを容易にします。


Syncfusion React Schedulerを選ぶ理由

React Scheduler High Performance image

高パフォーマンス

React Schedulerは、転送時間とロード時間を短縮するために、デフォルトでオンデマンドでデータをロードします。異なるフィールド名を持つデータソースにSchedulerをバインドする場合、適切なフィールドマッピングが必須です。

React Scheduler Effective Data Binding image

シームレスなデータバインディング

データマネージャーの助けを借りて、JSON、OData、WCF、RESTful Webサービスなど、さまざまなローカルおよびリモートデータソースとデータをシームレスにバインドします。

React Scheduler Multiple Views image

組み込みビュー

日、週、勤務週、月、予定、月-予定、年、タイムラインなど、いくつかの異なる組み込みビューモードが利用可能です。さまざまなビュー固有の変数を使用して、各ビューをカスタマイズできます。

React Scheduler Recurring Events image

定期的なイベント

組み込みの繰り返しオプションを使用して、日、週、月、年単位で繰り返す定期的なイベントを簡単に設定できます。

React Scheduler Multiple Resource image

複数のリソースとグループ化

複数の要素に従ってリソースをグループ化するために、React Schedulerは幅広い柔軟なオプションを提供します。また、リソースと日付によるスケジューリングタイムラインと予約のグループ化もカバーしています。

React Scheduler Adaptive Ui Support image

あらゆる解像度に適応

Schedulerは、デスクトップ、タッチスクリーン、スマートフォン向けに高い応答性を持つレイアウトと最適化されたデザインを備えています。iOS、Android、Windows OSを使用するすべての携帯電話でうまく機能します。

React Scheduler Attractive Theme Support image

魅力的でカスタマイズ可能なテーマ

Fluent、Tailwind CSS、Bootstrap、Material、Fabricなど、5つ以上の組み込みテーマを備えた最先端のデザイン。 オンラインTheme Studioツールを利用して、Schedulerのテーマを簡単にカスタマイズできます。

React Scheduler Globalization Support image

グローバル化とローカライゼーション

異なるロケールのユーザーがSchedulerを使用できるようにし、日付、通貨、番号付けを好みに合わせてフォーマットします。


よりスマートな計画のための AI Scheduler

AI Scheduler は、カレンダーを簡単に整理します。「毎週金曜日の午前10時にチームと会う」などの指示を入力するだけで、残りの処理は AI Scheduler が行います。競合をチェックし、最適な時間を提案し、カレンダーを視覚的に整理します。

このデモでよりスマートな計画を体験してください

React Smart Scheduler image


React Schedulerコード例

以下のTSXコード例に示すように、いくつかの簡単なコード行でReact Schedulerを簡単に使い始めることができます。また、ReactでSchedulerをレンダリングおよび構成する方法を示すReact Schedulerの例もご覧ください。

import * as React from 'react';
import {
  ScheduleComponent, ViewsDirective, ViewDirective, Day, Week, WorkWeek, Month, Agenda, Inject
} from '@syncfusion/ej2-react-schedule';

const App = () => {
  const data = [{
    Id: 1,
    Subject: 'Scrum Meeting',
    Location: 'Office',
    StartTime: new Date(2022, 0, 1, 9, 30),
    EndTime: new Date(2023, 0, 1, 10, 30),
    RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
  }];

  return (
    <div>
      <ScheduleComponent height='650px' eventSettings={{ dataSource: data }}>
        <ViewsDirective>
          <ViewDirective option='Day' />
          <ViewDirective option='Week' />
          <ViewDirective option='WorkWeek' />
          <ViewDirective option='Month' />
          <ViewDirective option='Agenda' />
        </ViewsDirective>
        <Inject services={[Day, Week, WorkWeek, Month, Agenda]} />
      </ScheduleComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('schedule'));
root.render(<App />);

複数のスケジューラビュー

日、週、勤務週、月、予定、月-予定、年、タイムラインなど、さまざまな組み込みビューモードが利用可能です。ビュー固有のさまざまなオプションを使用して、個々のビューを簡単に構成できます。

Day View in React Scheduler component.

日、週、勤務週ビュー

React Schedulerを使用して、単一の日または複数の日にわたる予約を表示します。

Month View in React Scheduler component.

月ビュー

React Schedulerでは、イベントや予約を単一の日または複数の日にわたって1か月全体で表示できます。

Agenda view in React Scheduler component.

予定ビュー

イベントを仮想的にロードし、日ごとにグループ化されたリストとして順序どおりに表示します。React Schedulerの予定ビューで最初にロードする日数数を指定するオプションがあります。

Month agenda view in React Scheduler component.

月予定ビュー

カレンダーレイアウトと現在選択されている日付のイベントを表示します。日付の下にある丸いインジケーターは、その日に1つ以上のイベントがあることを示します。

Year view in React Scheduler component.

年ビュー

年ビューは、特定年のすべての月をカレンダービュー形式で表示します。そのカレンダービューでは、イベントと予約を含む日付が、個々の日付の下に配置された点で強調表示されます。日付をクリックすると、イベントポップアップが表示され、イベントがリストされます。


タイムラインビュー

Reactは、タイムライン日、タイムライン週、タイムライン勤務週、タイムライン月、タイムライン年の5つの組み込みタイムラインビューを提供します。各ビューは、単一の日または複数の日の水平タイム軸全体にイベントを正確に表示します。

パフォーマンスを向上させるために、タイムラインビューはスクロールアクションごとにリソース、イベント、予約を仮想的にロードします。

Timeline view in React Scheduler component.


Unique view in React Scheduler component.

ユニークなビュー構成

各個別のビューモードを異なるカレンダー設定で簡単に構成できます。たとえば、月ビューでグループ化機能を有効にし、週ビューでイベントテンプレートを適用できます。


拡張可能なビュー間隔

提供された間隔数に基づいて各ビューモードを拡張することにより、複数の日、週、月を表示します。

Extensible view intervals in React Scheduler component.


Block time intervals in React Scheduler component.

時間間隔のブロック

React Event Calendarで特定の時間範囲をブロックして、その時間枠でのイベントや予約の作成を防ぐことができます。


インラインでの予約

この機能を有効にすると、ユーザーはスケジューラセルまたは既存の予約の件名をシングルクリックするだけで、インラインで予約を作成および編集できます。インラインテキストボックスに新しい件名テキストを入力した後Enterキーを押すと、予約が適切に更新および保存されます。

Inline appointment in React Scheduler component.


高度なイベント処理オプション

React Event Calendarは、割り当てられた期間に基づいて、Schedulerタイムライン全体でイベントと予約を明確、鮮明、正確に表現します。

Illustration of add and edit capabilities of React Scheduler.

追加および編集機能

デフォルトのイベントエディターを使用するか、直感的なドラッグアンドサイズ変更アクションを通じて、予約の作成と編集を容易にするなど、より良いイベント処理のための組み込みサポートがあります。さらに、カスタムデータフィールドをイベントとリソースの両方のデータソースに追加することもできます。

Illustration of multiple event selection in React Scheduler.

複数イベント選択

Ctrlキーを押しながらイベントをクリックすることで、一度に複数のイベントを簡単に選択できます。モバイルデバイスでは、イベントをタップして押し続け、他のイベントをシングルタップして選択を続けることができます。イベントを正常に選択した後、それらを同時に削除または再配置します。

Illustration of event tooltips of React Scheduler.

ツールチップ

カスタマイズ可能なツールチップは、マウスポインターがイベントの上にホバーしている間、イベント情報を表示します。モバイルデバイスでは、イベントをタップして押し続けることで同じことができます。

Illustration of event customization with React Scheduler.

外観のカスタマイズ

任意のHTMLまたはCSSを使用して、デフォルトの外観やスタイルをカスタマイズすることで、React Schedulerのイベントと予約のルックアンドフィールを変更します。

Illustration of time zone support of React Scheduler.

タイムゾーン

システムタイムゾーンに関係なく、React Event Calendarは、コントロール自体とイベントの両方に必要なタイムゾーンを設定することをサポートしています。

Illustration of clipboard support of React Scheduler.

クリップボード

React Schedulerはクリップボード機能をサポートしており、ユーザーはイベントを効率的に管理できます。ユーザーはCtrl+Cショートカットを使用して選択したイベントをコピーし、Ctrl+Xでイベントを切り取り、Ctrl+Vを使用して異なる時間枠にイベントを貼り付けることができます。


Row auto height in React Scheduler component.

適応型行

新しい同時イベントや予約が追加されたときに、月およびタイムラインビューの行の高さを自動的に増やす組み込みオプションがReact Event Calendarに追加されました。


コンテキストメニュー

React Schedulerと統合されたコンテキストメニューは、セルまたは予約を右クリックしたときに開きます。

Context menu in React Scheduler component.


リアルタイムデータ同期

リアルタイムの予約データは、React Schedulerと正確に同期します。

Illustration of Google Calendar integration with React Scheduler.

OutlookとGoogle Calendarの統合

Google Calendar APIまたはMicrosoft Outlookのオブジェクトライブラリを介して、React Event CalendarとGoogleまたはOutlook Calendar間でイベントを簡単に同期します。

Illustration of real-time updates of React Scheduler.

リアルタイム更新

双方向データ通信により、Schedulerで行われたサーバー側の予約更新が、SignalRを介して接続されているすべてのクライアントに伝達されます。


機能豊富なカレンダーオプション

React Event Calendarは、週の最初の曜日やタイムスケールなど、ほとんどすべてのカレンダー固有の機能を継承しています。

Illustration of first day of the week of React Scheduler.

週の最初の曜日

デフォルトで日曜日である週の最初の曜日を、デフォルトのロケールに合わせてカスタマイズします。このオプションは個別のビューでも利用できます。

Illustration of setting start and end hours on React Scheduler.

カスタムの開始時刻と終了時刻

不要な時間を非表示にすることで、特定の時間 duración を持つイベントスケジューラレイアウトを表示します。

Illustration of timescale options of React Scheduler.

柔軟なタイムスケール

カスタマイズ可能なタイムスケールオプションを使用して、イベントのタイムラインを明確に表示し、異なる期間を設定します。

Illustration of working time of React Scheduler.

勤務時間

スケジューラの有効なセル(白で表示)は、勤務日と勤務時間を視覚的に表します。

Illustration of current time highlighting in React Scheduler.

現在時刻の強調表示

強調表示された日付ヘッダーで現在の日付を示します。すべてのビューで現在時刻を正確にマークします。

Illustration of hiding weekend days in React Scheduler.

週末の非表示

週末をSchedulerから非表示にすることで、すべてのビューで勤務日のみを表示できます。

Illustration of displaying week numbers in React Scheduler.

週番号の表示

日、週、勤務週ビューの日付ヘッダーの横に、現在の期間の週番号を表示します。また、月ビューでは最初の列に週番号を表示します。週番号は、週の最初の曜日と週のルール(最初の日、最初の完全な週、または最初の4日間の週)によって決定されます。

Illustration of displaying time format in React Scheduler.

時刻モード

Schedulerコントロールは、12時間形式と24時間形式の両方をサポートしています。


完全にカスタマイズ可能なUI

HTMLとCSSスタイルを使用して、Schedulerインターフェースの任意の部分の外観をカスタマイズします。

Illustration of date header customization in React Scheduler.

日付ヘッダー

任意のCSS、カスタムテキスト、画像を追加することで、ヘッダーバーのデフォルトの外観を変更します。

Illustration of complete React Scheduler customization.

完全なScheduler UI

組み込みのクライアント側イベントにより、エンドユーザーはSchedulerユーザーインターフェースの任意の部分をカスタマイズできます。

Illustration of common header bar in React Scheduler.

ヘッダーバー

デフォルトのヘッダーバーオプションにカスタム項目を追加します。共通のヘッダーバーオプションを非表示または表示できます。

Illustration of cell customization with React Scheduler.

Schedulerセル

すぐに使えるテンプレートオプションにより、任意のテキスト、画像、CSSを追加することで、セルを簡単にカスタマイズできます。

Illustration of quick pop-ups in React Scheduler.

クイックポップアップ

セル、イベント、または予約をシングルクリックしたときに開くポップアップを、独自のUIまたはテンプレートデザインで簡単にカスタマイズできます。

Illustration of event editor of React Scheduler.

イベントエディターを外部から開く

React Event Calendarは、デフォルトのイベントエディターウィンドウをプログラムで開くための組み込みメソッドを提供します。


ユーザーフレンドリーなインタラクション

React SchedulerのモダンでトレンディなUIデザインは、ユーザーインタラクションをよりシンプルで効率的にします。

Pop-up displaying event information.

クイックイベント概要

イベントをクリックまたはタップすると、件名や時刻などの重要な詳細が、編集および削除オプションとともに表示されます。

React Scheduler cell selection.

セル選択

ポインターをクリックしてSchedulerセルをドラッグすると、複数セルを選択できます。キーボードショートカットでも同じことができます。

Event container displayed in month calendar.

イベントコンテナー

月ビューとタイムラインビューでテキストインジケーター(+n more)をクリックすると、その日の非表示のイベントおよび予約の詳細をすべてリストするイベントコンテナーが開きます。

Navigation options in React Scheduler.

クイックナビゲーション

React Schedulerは、インラインカレンダーを使用して日付範囲間を前後に移動する直感的な方法を提供し、異なるビューモード間を移動することもできます。


React event calendar used in real-time applications.

リアルタイムアプリケーション

多くのリアルタイムアプリケーションは、Schedulerを不可欠な部分として使用しており、プロジェクトの種類に基づいてさまざまな目的に役立っています。いくつかの活発なアプリケーションは次のとおりです。運賃カレンダー、会議室カレンダー、医師の予約プランナー、ホテル客室予約。


インタラクティブな機能

React Schedulerを使用すると、イベントをExcelファイルまたはICSファイルの2つの方法でエクスポートできます。

Illustration of Excel export support in React Scheduler.

Excelへのエクスポート

React Schedulerを使用すると、すべてのイベントをデフォルトでExcelドキュメントにエクスポートできます。また、カスタムイベントデータコレクションをエクスポートするための追加のカスタマイズオプションも提供します。

Illustration of export and import ICS files in React Event Calendar.

ICSのエクスポートとインポート

React Event Calendarは、すべてのイベントデータをiCal形式にエクスポートすることをサポートしており、iCalファイルからSchedulerにイベントをインポートすることをサポートしています。

React Scheduler developer-friendly APIs.

開発者フレンドリーなAPI

開発者は、組み込みの、開発者フレンドリーなAPIを通じて、イベントカレンダーのUIと動作を完全に制御できます。これにより、複雑なScheduler機能でも簡単にカスタマイズできます。


アクセシビリティ

React Schedulerコンポーネントは、スクリーンリーダーによって簡単にアクセスできます。完全なキーボード操作サポートも提供されています。

Accessibility enabled React Scheduler.

完全なアクセシビリティ

React Schedulerコンポーネントは、完全なWAI-ARIAアクセシビリティをサポートしています。Scheduler UIには、高コントラストの視覚要素が含まれており、視覚障害のある人に最高の視聴体験を提供します。また、有効なUI説明は、スクリーンリーダーなどの補助技術を通じて簡単にアクセスできます。

Keyboard interactive React event calendar.

キーボードインタラクティブ

複数セルまたはイベントの選択、他のビューへの移動など、ほとんどすべてのSchedulerアクションを実行するためのさまざまなキーボードショートカットが利用できます。

Right to left support in React Scheduler.

右から左 (RTL)

適切な右から左への慣習に従ってイベントスケジューラをレンダリングします。






その他の主要な対応フレームワーク

Reactに加えて、これらの主要なフレームワークに対する組み込み統合が利用可能です。

よくある質問

Syncfusion React Scheduler は、以下の機能を提供します。- デスクトップ、タブレット、携帯電話向けに高度に応答性があり、最適化されたデザイン。- 日、週、稼働日、月などの基本的なビュー と、年間カレンダーモード および タイムラインモード。- 仮想スクロールにより、大量のリソースとイベントを動的に読み込むことができます。- 異なるタイムゾーンに即座に適応します。- タイムライン水平階層日付ビューに基づいた複数リソースのグループ化。- ソフトウェアと対話するための機能豊富なUIを提供する、市場で最高の React Scheduler の1つ。- GoogleおよびOutlookカレンダーとのイベントの簡単な同期。- シンプルな構成とAPI。- すべてのモダンブラウザをサポート。- React Scheduler を素早く学習して開始するためのデモドキュメントビデオなどの豊富な学習リソース。

React Scheduler は個別に販売していません。Syncfusion チームライセンスの一部としてのみ購入可能です。このライセンスには、React Scheduler を含む 1,600 を超えるコンポーネントとフレームワークが含まれています。チームライセンスの価格は、5人の開発者で月額395ドルからで、サブスクリプションの有効期限までサポートとアップデートが含まれます。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。本日、当社の製品スペシャリストにお問い合わせいただき、追加割引の対象となるかをご確認ください。

Scheduler のレンダリングと設定方法を示すReact Scheduler デモをご覧ください。

Syncfusion の React Scheduler コンポーネント使用開始を使用して、React で Scheduler を作成できます。@syncfusion/ej2-react-schedule パッケージをインストールし、ScheduleComponent をインポートして、ビュー、データソース、およびイベント設定を構成します。

Syncfusion は個人および中小企業向けに無料コミュニティライセンスを提供しており、その React Scheduler は最高の無料オプションの1つとなっています。複数のビュー、リソースグループ化、イベント編集などのエンタープライズグレードの機能を制限なく提供します。

いいえ、当社のウェブ、モバイル、デスクトップ向けの 1,600+ コンポーネントおよびフレームワーク(React Schedulerを含む)は個別に販売されていません。これらはチームライセンスの一部としてのみ利用可能です。ただし、Mitaは競合力のある価格設定を行っており、他のベンダーが Scheduler コンポーネント単体で請求するよりもわずかに高いだけです。また、私たちの経験上、お客様は通常、当社の製品の1つを使い始め、その後すぐに複数の製品に拡張することが多いため、すべての 1,600+ コンポーネントおよびフレームワークを、5人の開発者チームで月額395ドルから始まるサブスクリプション料金で提供するのが最善であると考えました。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。本日、当社の製品スペシャリストにお問い合わせいただき、追加割引の対象となるかをご確認ください。

いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間売上総収入が100万米ドル未満で開発者が5人以下の企業および個人向けには、無料コミュニティライセンスも利用できます。

当社の包括的な入門ドキュメントが最適です。

Syncfusion React の Schedule コンポーネントは、完全に機能するカレンダーおよびアポイントメント管理コンポーネントです。イベントの表示、リソースの管理、ドラッグ・アンド・ドロップの有効化、ビューのカスタマイズが可能です。繰り返しイベント、タイムゾーン処理、Google や Outlook などの外部カレンダーとの統合をサポートしています。

Syncfusion React Calendar は、単一または複数の日付を選択するための軽量な日付ピッカーです。日付の表示と月や年間の基本的なナビゲーションに焦点を当てています。Syncfusion React Scheduler は、イベント、リソース、繰り返しアポイントメント、複数のビュー(日、週、月、タイムライン)、ドラッグ・アンド・ドロップ、Google や Outlook などの外部カレンダーとの統合をサポートする、フル機能のアポイントメントマネージャーです。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

無料評価バージョンをダウンロードしてアプリケーションを変革しましょう
無料トライアルのダウンロード クレジットカード不要。

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

React Schedulerブログとチュートリアルの最近の活動

React Schedulerのブログとチュートリアルビデオの投稿は、Reactコンポーネントを使用して最初のアプリを構築するのに役立ちます。これらは、問題解決戦略を提供し、機能と機能について説明し、新機能リリースを発表し、ベストプラクティスを説明し、例のシナリオを紹介します。React Schedulerの最新情報については、当社のブログとチュートリアルビデオチャネルで最新の投稿をご覧ください。

Up arrow icon
Syncfusion Feedback